Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-17083

Update guava to 27.0-jre in hadoop branch-2.10

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Won't Do
    • Affects Version/s: 2.10.0
    • Fix Version/s: None
    • Component/s: common, security
    • Labels:
      None

      Description

      com.google.guava:guava should be upgraded to 27.0-jre due to new CVE's found CVE-2018-10237.

       

      The upgrade should not affect the version of java used. branch-2.10 still sticks to JDK7

        Attachments

        1. HADOOP-17083-branch-2.10.006.patch
          55 kB
          Ahmed Hussein
        2. HADOOP-17083-branch-2.10.005.patch
          54 kB
          Ahmed Hussein
        3. HADOOP-17083-branch-2.10.004.patch
          53 kB
          Ahmed Hussein
        4. HADOOP-17083-branch-2.10.003.patch
          33 kB
          Ahmed Hussein
        5. HADOOP-17083-branch-2.10.002.patch
          35 kB
          Ahmed Hussein
        6. HADOOP-17083-branch-2.10.001.patch
          31 kB
          Ahmed Hussein

          Activity

            People

            • Assignee:
              ahussein Ahmed Hussein
              Reporter:
              ahussein Ahmed Hussein
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: